<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet>
 
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:atidm="http://www.arbortext.com/namespace/DataMerge"
>

<!--

======================================================
bonus XSL: Returns 
    <h1> using first row/column/value at title
    <h2> titled with known "column names"
    paired with a <para> child containing the
    results of the query.
    6th result to contain XML markup so is not
    wrapped by para. Unfortunately, the < are 
    returned as &lt; and a text find/replace
    is required in order to make it publishable.
    (Update on open, Update on Compose must be
    disabled on the query or it won't work.)
======================================================

-->

 
<xsl:output indent="yes" method="xml" encoding="UTF-8"/>
 
<xsl:param name="output-encoding">UTF-8</xsl:param>
 
<xsl:template match="/">
      <xsl:apply-templates/>
</xsl:template>
 
<xsl:template match="atidm:ResultSet">
 <h1>
 <title><xsl:value-of select="child::atidm:Row/child::atidm:Column/child::atidm:Value"></xsl:value-of></title>
 <xsl:apply-templates/>
 </h1>

</xsl:template>
 
<xsl:template match="atidm:Row">
   <xsl:apply-templates/>
</xsl:template>
 
<xsl:template match="atidm:RowHeader">

</xsl:template>
 
<xsl:template match="atidm:Header">
</xsl:template>
 
<xsl:template match="atidm:Value">
    <xsl:apply-templates/>
</xsl:template>
 
<xsl:template match="atidm:Column">
 <h2>
 <title>
 <xsl:if test="position()= 1">Field Name</xsl:if>
 <xsl:if test="position()= 2">Segment</xsl:if>
 <xsl:if test="position()= 3">Type</xsl:if>
 <xsl:if test="position()= 4">Offset</xsl:if>
 <xsl:if test="position()= 5">Length</xsl:if>
 <xsl:if test="position()= 6">Description</xsl:if>
 </title>
 <xsl:if test="position()= 1"><para><xsl:apply-templates/></para></xsl:if>
 <xsl:if test="position()= 2"><para><xsl:apply-templates/></para></xsl:if>
 <xsl:if test="position()= 3"><para><xsl:apply-templates/></para></xsl:if>
 <xsl:if test="position()= 4"><para><xsl:apply-templates/></para></xsl:if>
 <xsl:if test="position()= 5"><para><xsl:apply-templates/></para></xsl:if>
 <xsl:if test="position()= 6"><xsl:apply-templates/></xsl:if>
 </h2>
</xsl:template>
 
</xsl:stylesheet>